<?php

add_action( 'genesis_meta', 'insync_home_genesis_meta' );
/**
 * Add widget support for homepage. If no widgets active, display the default loop.
 *
 */
function insync_home_genesis_meta() {

	if ( is_active_sidebar( 'slider-wide' ) || is_active_sidebar( 'slider' ) || is_active_sidebar( 'home-feature-1' ) || is_active_sidebar( 'home-feature-2' ) || is_active_sidebar( 'home-feature-3' ) || is_active_sidebar( 'home-feature-4' ) || is_active_sidebar( 'home-feature-5' ) || is_active_sidebar( 'home-feature-6' ) || is_active_sidebar( 'home-feature-7' ) ) {

		remove_action( 'genesis_loop', 'genesis_do_loop' );
		add_action( 'genesis_after_header', 'insync_home_loop_helper_1', 3 );
		add_action( 'genesis_after_header', 'insync_home_loop_helper_2' );
		add_action( 'genesis_after_header', 'insync_home_loop_helper_3' );
		add_action( 'genesis_after_header', 'insync_home_loop_helper_4' );
		add_action( 'genesis_after_header', 'insync_home_loop_helper_5' );
		add_filter( 'genesis_pre_get_option_site_layout', '__genesis_return_full_width_content' );

	}
}

function insync_home_loop_helper_1() {

		genesis_widget_area( 'slider-wide', array(
			'before' => '<div class="slider-wide"><div class="wrap">',
			'after' => '</div></div>',
		) );

		genesis_widget_area( 'slider', array(
			'before' => '<div class="slider"><div class="wrap">',
			'after' => '</div></div>',
		) );

}

function insync_home_loop_helper_2() {
	
	 if ( is_active_sidebar( 'home-feature-1' ) || is_active_sidebar( 'home-feature-2' ) || is_active_sidebar( 'home-feature-3' ) ) {
	 
	 		echo '<div class="home-top"><div class="wrap">';
	
			genesis_widget_area( 'home-feature-1', array(
				'before' => '<div class="home-feature-1"><div class="wrap">',
				'after' => '</div></div>',
			) );
			
			genesis_widget_area( 'home-feature-2', array(
				'before' => '<div class="home-feature-2"><div class="wrap">',
				'after' => '</div></div>',
			) );
			
			genesis_widget_area( 'home-feature-3', array(
				'before' => '<div class="home-feature-3"><div class="wrap">',
				'after' => '</div></div>',
			) );
			
			echo '</div><!-- end .wrap --></div><!-- end .home-top -->';
			
	}

}

function insync_home_loop_helper_3() {
	
	 if ( is_active_sidebar( 'home-feature-4' ) ) {
	
			genesis_widget_area( 'home-feature-4', array(
				'before' => '<div class="home-feature-4"><div class="wrap">',
				'after' => '</div></div>',
			) );
	
	}
	
}

function insync_home_loop_helper_4() {
	
	 if ( is_active_sidebar( 'home-feature-5' ) || is_active_sidebar( 'home-feature-6' ) ) {
			
			echo '<div class="middle-section"><div class="wrap">';
			
			genesis_widget_area( 'home-feature-5', array(
				'before' => '<div class="home-feature-5">',
				'after' => '</div>',
			) );
			
			genesis_widget_area( 'home-feature-6', array(
				'before' => '<div class="home-feature-6"><div class="wrap">',
				'after' => '</div></div>',
			) );
			
			echo '</div><!-- end .wrap --></div><!-- end .middle-section -->';
			
	}

}

function insync_home_loop_helper_5() {
	
	 if ( is_active_sidebar( 'home-feature-7' ) ) {
			
			genesis_widget_area( 'home-feature-7', array(
				'before' => '<div class="home-feature-7"><div class="wrap">',
				'after' => '</div></div>',
			) );
			
	}

}

// Adds javascript for scroll
add_action( 'genesis_after_footer', 'scroll_javascript' );
function scroll_javascript() { ?>
	<!-- SMOOTH SCROLL -->
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
	<script>
	$(function() {
	  $('a[href*=#]:not([href=#])').click(function() {
	    if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
	      var target = $(this.hash);
	      target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
	      if (target.length) {
	        $('html,body').animate({
	          scrollTop: target.offset().top
	        }, 1000);
	        return false;
	      }
	    }
	  });
	});
	</script>
	<!-- End of SMOOTH SCROLL -->
<?php
}

// Add custom body class to the head
add_filter( 'body_class', 'insync_home_class' );
function insync_home_class( $classes ) {
   $classes[] = 'home';
   return $classes;
}

genesis();